function testfn(file1, file2)

%% run from UNIX console: matlab -nodesktop -r "testfn('file1.txt','file2.txt')"

fprintf(1,'\nReading file %s from first argument\n', file1);
fprintf(1,'\nReading file %s from second argument\n', file2);

x = importdata(file1);
y = importdata(file2);

fprintf(1,'x is:\n');
disp(x);
fprintf(1,'y is:\n');
disp(y);

if length(x) == length(y) 
	results = x' * y;
	fprintf(1, 't(x) * y = %2.f\n', results);
else
	disp('Invalid input dimension');
	return;
end

exit;
end
