function [val,grad]=calc_val_gradient(x)
% f(x) = (x1+2)^2 + (x2+3)^2
% x is a 2d vector

% check input is okay
if (length(x)~=2)    
    disp('Invalid input dimension');
    return;
end
% calc func value
val = (x(1)+2).^2+(x(2)+3)^2;

% calculate gradient
grad = [2*(x(1)+2), 2*(x(2)+3)]';


end